package net.rutles.myfile;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
// import android.widget.Toast;

public class MyFile extends Activity 
	implements OnClickListener{
	
	private EditText editText1, editText2;
	private Spinner spinner;
	private Button button1, button2, button3;
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		editText1 = (EditText) findViewById(R.id.EditText01);
		editText2 = (EditText) findViewById(R.id.EditText02);
		spinner = (Spinner) findViewById(R.id.Spinner01);
		button1 = (Button) findViewById(R.id.Button01);
		button2 = (Button) findViewById(R.id.Button02);
		button3 = (Button) findViewById(R.id.Button03);
		
		button1.setOnClickListener(this);
		button2.setOnClickListener(this);
		button3.setOnClickListener(this);

		refreshList();
	}

	private void refreshList(){
		String[] files = fileList();
		spinner.setAdapter( new  ArrayAdapter<String>(
				this,
				android.R.layout.simple_spinner_item, 
				files
				));

		if(files.length > 0){
			button2.setEnabled(true);
			button3.setEnabled(true);
		}else{
			button2.setEnabled(false);
			button3.setEnabled(false);
		}		
	}
	
	@Override
	public void onClick(View arg0) {
		// TODO Auto-generated method stub
		if(arg0 == button1){
		String fileName = editText1.getText().toString();

		try {
			FileOutputStream fos = openFileOutput(fileName, Context.MODE_PRIVATE);
			fos.write(editText2.getText().toString().getBytes());
			fos.close();
			}
		catch(Exception e) {
			// Toast.makeText(this, e.getMessage(), Toast.LENGTH_LONG).show();
			}
		refreshList();
		}else
		if(arg0 == button2){
		String fileName = spinner.getSelectedItem().toString();
		try {
			FileInputStream fis = openFileInput(fileName);
			byte[] readBytes = new byte[fis.available()];
			fis.read(readBytes);
			editText2.setText(new String(readBytes));
			fis.close();
			}
		catch (FileNotFoundException e) {
			//Toast.makeText(this, e.getMessage(), Toast.LENGTH_LONG).show();
			}
		catch (IOException e) {
			//Toast.makeText(this, e.getMessage(), Toast.LENGTH_LONG).show();
			}
		}else
		if(arg0 == button3){
			String fileName = spinner.getSelectedItem().toString();
			deleteFile(fileName);
			refreshList();
		}
	}
}